package com.infoepoch.pms.dispatchassistant.domain.langchain.chat;

import java.util.List;

public class ChatResponse {

    public ChatResponse() {
    }

    public ChatResponse(String type, String answer, List<String> docs) {
        this.type = type;
        this.answer = answer;
        this.docs = docs;
    }

    private String type;
    private String answer;
    private List<String> docs;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public List<String> getDocs() {
        return docs;
    }

    public void setDocs(List<String> docs) {
        this.docs = docs;
    }
}
